Retrieve a record | Parallel Developer Documentation
This is documentation for Parallel Developer Documentation Legacy – v1.x, which is no longer actively maintained.
For up-to-date documentation, see the latest version (Current – v2.x).
Version: Legacy – v1.x
On this page
This endpoint can be used to obtain the current (most recent) data entry for a business or individual.
HTTP Request
GET https://api.parallelmarkets.com/v1/partner-records/{id}
The {id} in the URL is the individual or business ID in your case management account.
Query Parameters
None
Response Parameters
Returns a Record object for a valid identifier.
Example Response
Individual
{
"id": "UG9kVXNlclJlY29yZDoyOQ==",
"identity_link_expiration_requested_by": "subject",
"identity_link_expires_at": "2023-05-17T15:14:44Z",
"type": "individual",
"current_status": {
"notes": "This is a test note.",
"set_at": "2023-05-17T15:14:44Z",
"set_by": {
"email": "joe@acme.com",
"first_name": "Joe",
"last_name": "Bloggs"
},
"status": "approved"
},
"details": {
"accreditation_assertion_type": "evaluator-assertion",
"accreditation_expires_at": "2023-08-10T00:00:00Z",
"accreditation_status": "CURRENT",
"birth_date": "1990-01-01",
"change_created_at": "2023-05-17T15:15:00Z",
"change_created_by": null,
"change_id": "UG9kVXNlckRhdGFFbnRyeTo1MA==",
"citizenship_country": "US",
"consistency_summary": {
"address_id_match": null,
"address_id_value": "123 Fake St, South Norwalk, 10011",
"address_records_match_level": "high",
"address_submitter_match": true,
"birth_date_id_match": true,
"birth_date_id_value": "1990-01-01",
"birth_date_records_match_level": "none",
"id_validity": "valid",
"name_id_match": false,
"name_id_value": "John Doe",
"name_records_match_level": "high",
"name_tax_match": null,
"name_tax_value": null,
"overall_records_match_level": "high",
"possibly_deceased": false,
"tin_multiple_match": false,
"tin_records_match_level": "none"
},
"domicile_location": {
"address_one": "11 11th st",
"address_two": "11L",
"city": "Brooklyn",
"country": "US",
"postal_code": "11201",
"region": null,
"state": "NY"
},
"email": "john@doe.com",
"first_name": "John",
"id_expiration": null,
"indicated_unaccredited_at": null,
"last_name": "Doe",
"marital_status": "single",
"middle_name": "S",
"phone": "+12125551234",
"residence_location": {
"address_one": "11 11th st",
"address_two": "11L",
"city": "Brooklyn",
"country": "US",
"postal_code": "11201",
"region": null,
"state": "NY"
},
"tax_country": "US",
"tax_id": "000-99-0000",
"user_session": null
}
}
Business
{
"id": "UG9kQnVzaW5lc3NSZWNvcmQ6OA==",
"identity_link_expiration_requested_by": null,
"identity_link_expires_at": null,
"type": "business",
"current_status": {
"notes": "This is a test note.",
"set_at": "2023-05-17T15:14:44Z",
"set_by": {
"email": "joe@acme.com",
"first_name": "Joe",
"last_name": "Bloggs"
},
"status": "approved"
},
"details": {
"accreditation_assertion_type": "evaluator-assertion",
"accreditation_expires_at": "2023-08-10T00:00:00Z",
"accreditation_status": "CURRENT",
"beneficial_owners": [
{
"id": "UG9kVXNlclJlY29yZDoxMA==",
"ownership_percent": 0.1026,
"profile": {
"email": "john@fakeco.com",
"first_name": "John",
"last_name": "Doe"
},
"type": "individual"
},
{
"id": "UG9kVXNlclJlY29yZDo3",
"ownership_percent": 0.185,
"profile": {
"email": "jane@fakeco.com",
"first_name": "Jane",
"last_name": "Doe"
},
"type": "individual"
},
{
"id": "UG9kQnVzaW5lc3NSZWNvcmQ6Ng==",
"ownership_percent": 0.0193,
"profile": {
"business_type": "Limited Liability Company",
"name": "Another Fake Co",
"primary_contact": {
"email": "daenerys@anotherfakeco.com",
"first_name": "Daenerys",
"last_name": "Margaryen"
}
},
"type": "business"
}
],
"beneficial_ownership_threshold": "0.25",
"business_type": "Limited Liability Company",
"change_created_at": "2023-05-17T15:15:00Z",
"change_created_by": null,
"change_id": "UG9kQnVzaW5lc3NEYXRhRW50cnk6MTE=",
"consistency_summary": {
"address_records_match_level": "high",
"address_submitter_match": false,
"name_records_match_level": "high",
"name_tax_match": true,
"name_tax_value": null,
"overall_records_match_level": "high",
"tin_multiple_match": false,
"tin_records_match_level": "none"
},
"control_persons": [
{
"id": "UG9kVXNlclJlY29yZDoxMA==",
"profile": {
"email": "hugh@fakeco.com",
"first_name": "Hugh",
"last_name": "Boss"
},
"title": "CEO"
}
],
"incorporation_country": "US",
"incorporation_region": "CA",
"incorporation_state": "CA",
"indicated_unaccredited_at": null,
"name": "Fake Co",
"primary_contact": {
"email": "tyrion@fakeco.com",
"first_name": "Tyrion",
"last_name": "Bannister"
},
"principal_location": {
"address_one": "1 Street Street",
"address_two": "Apt. 706",
"city": "San Francisco",
"country": "US",
"postal_code": "20530",
"region": "CA",
"state": "CA"
},
"tax_id": null
}
}